Package

## Class InMobiUserDataModel

- All Implemented Interfaces:

      public final class InMobiUserDataModel

  InMobiUserDataModel is Data Model for passing user data in hashed form to InMobiUnifiedIdService.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `public final class` | `InMobiUserDataModel.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final InMobiUserDataTypes` | `phoneNumber` |
    `private final InMobiUserDataTypes` | `emailId` |
    `private final HashMap<String, String>` | `extras` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiUserDataModel(InMobiUserDataTypes phoneNumber, InMobiUserDataTypes emailId, HashMap<String, String> extras)` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final InMobiUserDataTypes` | `getPhoneNumber()` |
    `final InMobiUserDataTypes` | `getEmailId()` |
    `final HashMap<String, String>` | `getExtras()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiUserDataModel

          InMobiUserDataModel(InMobiUserDataTypes phoneNumber, InMobiUserDataTypes emailId, HashMap<String, String> extras)

  - ### Method Detail

    - #### getPhoneNumber

           final InMobiUserDataTypes getPhoneNumber()

    - #### getEmailId

           final InMobiUserDataTypes getEmailId()

    - #### getExtras

           final HashMap<String, String> getExtras()